body {
  font-family: "Poppins", sans-serif;
}

.hf {
  height: 100%;
}

.full_stretch {
  padding: 0 !important;
}

.container_1_1,
.container_16_9,
.container_19_4,
.container_4_3,
.container_2_1,
.container_3_5,
.container_4_1,
.container_3_6, .container_9_7 {
  width: 100%;
  padding-top: 100%;
  /* 1:1 Aspect Ratio */
  position: relative;
  /* If you want text inside of it */
}

.container_9_7 .inside,
.container_1_1 .inside,
.container_4_1 .inside,
.container_16_9 .inside,
.container_4_3 .inside,
.container_2_1 .inside,
.container_3_5 .inside,
.container_3_6 .inside {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

.container_16_9 {
  padding-top: 56.25%;
  /* 16:9 Aspect Ratio */
}

.container_19_4 {
  padding-top: 21.05%;
  /* 16:9 Aspect Ratio */
}

.container_9_7 {
  padding-top: 77.77%;
  /* 16:9 Aspect Ratio */
}

.container_4_3 {
  padding-top: 75%;
  /* 4:3 Aspect Ratio */
}

.container_3_5 {
  padding-top: 130%;
  /* 3:4 Aspect Ratio */
}

.container_3_6 {
  padding-top: 150%;
  /* 3:4 Aspect Ratio */
}

.container_2_1 {
  padding-top: 50%;
  /* 4:3 Aspect Ratio */
}

.container_4_1 {
  padding-top: 25%;
  /* 4:3 Aspect Ratio */
}

.container_1_1 {
  padding-top: 100%;
  /* 4:3 Aspect Ratio */
}

.full_stretch {
  padding: 0;
}

.fix {
  width: 100%;
  display: table;
  height: 100%;
  overflow: hidden;
}

.fix .fix_mid {
  display: table-cell;
  vertical-align: middle;
}

.fix .fix_mid .mid_cont {
  position: relative;
  z-index: 1;
  color: black;
  line-height: 1;
}

.c-b {
  color: black !important;
}

.w_1 {
  width: 100% !important;
  display: inline-block !important;
}

.h_1 {
  height: 100%;
}

.w_1_5 {
  width: 20% !important;
  display: inline-block !important;
}

.w_1_4 {
  width: 25% !important;
  display: inline-block !important;
}

.w_3_4 {
  width: 75% !important;
  display: inline-block !important;
}

.w_1_3 {
  width: 33.3% !important;
  display: inline-block !important;
}

.w_2_3 {
  width: 66.6% !important;
  display: inline-block !important;
}

.w_1_2 {
  width: 50% !important;
  display: inline-block !important;
}

.lab-header {
  display: block;
}

.tab-header {
  display: none !important;
}

/* Smart phones (portrait and landscape) ----------- */
@media only screen and (max-width: 760px) {
  .w_1_4 {
    width: 50% !important;
    display: inline-block !important;
  }

  .w_2_3, .w_3_4, .w_2_3 {
    width: 100% !important;
    display: inline-block !important;
  }

  .container-fluid {
    margin: 0;
    padding: 0 !important;
  }

  .s_1_4 {
    width: 25% !important;
    display: inline-block !important;
  }

  .sp-0 {
    padding: 0 !important;
  }

  .s-center {
    text-align: center;
  }
}
/* iPads (portrait and landscape) ----------- */
@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) {
  .lab-header {
    display: none !important;
  }

  .tab-header {
    display: block !important;
  }

  .side_nav_open__ {
    margin-left: 60% !important;
    margin-right: -60% !important;
  }

  .side_nav__ {
    width: 60% !important;
    margin-left: 0% !important;
  }

  .w_1_4 {
    width: 33.3% !important;
    display: inline-block !important;
  }

  .w_2_3, .w_3_4, .w_2_3 {
    width: 100% !important;
    display: inline-block !important;
  }

  .container-fluid {
    margin: 0;
    padding: 0 !important;
  }

  .s_1_4 {
    width: 25% !important;
    display: inline-block !important;
  }

  .sp-0 {
    padding: 0 !important;
  }
}
a {
  text-decoration: none !important;
}
a.disabled {
  pointer-events: none !important;
  cursor: not-allowed !important;
}

.f-gold {
  color: #d7641f !important;
}

.com-text {
  font-size: x-small !important;
}
.header {
  height: 55px;
  position: fixed;
  width: 100%;
  z-index: 999;
}
.header .logo .logo-title {
  margin-left: 1rem;
  font-weight: bold;
  color: white;
}
.header .logo .logo-user {
  font-size: small;
  vertical-align: 0.2em;
}
.header .logo .dropdown-toggle::after {
  color: white;
  vertical-align: 0.15em;
}

.sub-header {
  position: fixed;
  z-index: 998;
  top: 55px;
  -webkit-box-shadow: 0px 3px 9px 1px rgba(183, 183, 183, 0.75);
  -moz-box-shadow: 0px 3px 9px 1px rgba(183, 183, 183, 0.75);
  box-shadow: 0px 3px 9px 1px rgba(183, 183, 183, 0.75);
  height: 45px;
  background: white;
  width: 100%;
}
.sub-header .navbar {
  height: 100%;
  padding: 0.6rem 1rem;
  color: #7d7d7d;
  font-size: small;
}
.sub-header .navbar p {
  font-size: small;
  margin: 0;
}
.sub-header .navbar .search-bar .form-control {
  margin: 0;
  font-size: medium;
}

body {
  -ms-overflow-style: none;
  /* IE and Edge */
  scrollbar-width: none;
  /* Firefox */
}
body::-webkit-scrollbar {
  display: none;
}

.br {
  border-right: solid 1px #d9d9d9;
}

.f-sm {
  font-size: small !important;
}

.f-me {
  font-size: medium !important;
}

.ca {
  border-radius: 0.3rem 0 0 0.3rem;
}

.ca-war {
  border-left: solid 0.25rem #f9be25;
}

.ca-dan {
  border-left: solid 0.25rem #eb4922;
}

.ca-suc {
  border-left: solid 0.25rem #539e06;
}

.grid-container {
  display: grid;
  grid-template-columns: auto 1fr;
  grid-column-gap: 1rem;
}

.grid-container-1-auto {
  display: grid;
  grid-template-columns: 1fr auto;
  grid-column-gap: 2rem;
}

.grid-container-1-auto-auto {
  display: grid;
  grid-template-columns: 1fr auto auto;
  grid-column-gap: 1rem;
}

.grid-item {
  display: grid;
  align-content: center;
}

.grid-item-top {
  display: grid;
}

.b-shadow {
  -webkit-box-shadow: 0px 3px 9px 1px rgba(183, 183, 183, 0.75);
  -moz-box-shadow: 0px 3px 9px 1px rgba(183, 183, 183, 0.75);
  box-shadow: 0px 3px 9px 1px rgba(183, 183, 183, 0.75);
}

.btn-xs {
  font-size: small !important;
  max-height: 1.5rem !important;
  line-height: 1 !important;
  font-weight: 300 !important;
}

.btn-ho:hover {
  background-color: #d9d9d9;
}

.card {
  -webkit-box-shadow: 0px 3px 9px 1px rgba(183, 183, 183, 0.75);
  -moz-box-shadow: 0px 3px 9px 1px rgba(183, 183, 183, 0.75);
  box-shadow: 0px 3px 9px 1px rgba(183, 183, 183, 0.75);
}
.card .card-body .card-warn {
  background: #f9be2542;
}
.card .card-body .card-dang {
  background: #eb492242;
}
.card .card-body .card-succ {
  background: #539e0642;
}
.card .card-body .fs {
  font-size: x-small;
  font-weight: 300;
}
.card .card-body .fm {
  font-size: small;
  font-weight: 800;
}
.card .card-body .card-img {
  width: 50px;
  height: 50px;
  text-align: center;
}
.card .card-body .card-img p {
  margin: 0;
}
.card .card-body .card-img p img {
  height: 40px;
}

.ca-content table th {
  font-size: small;
  line-height: 1;
  padding: 0.5rem;
  border-color: #f9f9f9;
  background-color: #f9f9f9;
  font-weight: 600;
}
.ca-content table td {
  font-size: small;
  line-height: 1;
  padding: 0.5rem;
  font-weight: 300;
  border-top: 1px solid #dee2e68c;
}

.br-de {
  border: solid 1px #dfdfdf !important;
}

.f-warn {
  color: #f9be25;
}

.f-dang {
  color: #eb4922;
}

.f-suc {
  color: #539e06;
}

#page-overlay {
  display: none;
  width: calc(100% - 75px);
  height: calc(100vh - 105px);
  position: fixed;
  z-index: 9999;
  top: 105px;
  opacity: 0.8;
  background: white;
  left: 75px;
}

.btn-pro {
  background: #d9d9d9;
  color: black;
  border-radius: 0 !important;
}

.modal-content {
  border-radius: 0 !important;
}

.bootbox-accept,
.bootbox-cancel {
  background: #d9d9d9;
  border: solid 1px #dee2e6 !important;
  font-size: small !important;
  border-radius: 0 !important;
  color: black;
}

.h-1 {
  height: 100%;
}

.b-shadow {
  -webkit-box-shadow: 0px 3px 9px 1px rgba(183, 183, 183, 0.75);
  -moz-box-shadow: 0px 3px 9px 1px rgba(183, 183, 183, 0.75);
  box-shadow: 0px 3px 9px 1px rgba(183, 183, 183, 0.75);
}

p .com-icon {
  font-size: 20px;
}

p .com-text {
  font-size: x-small;
  line-height: 1;
}

.grid-container-rw {
  display: grid;
  grid-template-rows: auto 1fr auto;
}

.grid-container {
  display: grid;
  grid-column-gap: 1rem;
}
.grid-container.grid-3-6-3 {
  grid-template-columns: 3fr 8fr 3fr;
}
.grid-container .grid-item {
  text-align: center;
  display: grid;
  justify-content: center;
  align-content: center;
  align-items: center;
}

.top-hd img {
  height: 15vh;
  background-color: white;
  padding: 1.5rem;
  border-radius: 3vh;
}

.bot-left {
  position: absolute;
  bottom: 2rem;
  left: 2rem;
  width: 15vw;
}
.bot-left img {
  width: 100%;
}

.bot-right {
  position: absolute;
  bottom: 2rem;
  right: 2rem;
  text-align: center;
}
.bot-right .bor-1 {
  width: 20vw;
}
.bot-right .bor-2 {
  width: 15vw;
}

.front-page {
  height: 100vh;
  overflow: hidden;
}
.front-page .login-panel {
  height: 100vh;
  width: 100%;
  background-image: url(/build/images/rr_back.8db291eb.png);
  background-repeat: no-repeat;
  background-size: cover;
}

.grid-center {
  text-align: center;
  display: grid;
  align-items: center;
  justify-content: center;
}

.login-form {
  text-align: initial;
  width: 35vw;
  position: relative;
  background: #ffffff12;
  backdrop-filter: blur(5px);
  border: solid 2px #ffffff33;
  border-radius: 25px;
}
.login-form .cont {
  position: relative;
}
.login-form .cont label {
  color: white;
  font-weight: bold;
}
.login-form .cont .ip4 {
  border-radius: 0 1.5rem;
  border: 2px solid #046903;
  padding: 20px;
  width: 100%;
  height: 15px;
  background-color: white !important;
}
.login-form .cont .ip4:focus {
  box-shadow: 0 0 3pt 2pt #46B728;
  outline: none;
}
.login-form .cont .custom-button {
  color: white;
  background-color: #46B728 !important;
  border-radius: 2rem;
  min-width: 50%;
}

.mdc-button:focus {
  outline: none !important;
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/